Package org.eclipse.net4j.util.ui

# Class ValidationContext.Aggregator

java.lang.Object
org.eclipse.net4j.util.ui.ValidationContext.Aggregator

All Implemented Interfaces:
  `ValidationContext`

Enclosing interface:
  `ValidationContext`

public static class ValidationContext.Aggregator extends Object implements ValidationContext

Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.ui.ValidationContext

`ValidationContext.Aggregator`

## Constructor Summary

Constructors
Constructor
Description
`Aggregator(ValidationContext delegate)`

## Method Summary

Modifier and Type
Method
Description
`protected String`
`formatMessage(Map<Object,String> messages)`
`void`
`setValidationError(Object source, String message)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Aggregator

public Aggregator(ValidationContext delegate)

## Method Details

### setValidationError

public void setValidationError(Object source, String message)

Specified by:
  `setValidationError` in interface `ValidationContext`

### formatMessage

protected String formatMessage(Map<Object,String> messages)